Bug 1027752 (CVE-2013-4270) - CVE-2013-4270 kernel: net: permissions flaw in /proc/sys/net
Summary: CVE-2013-4270 kernel: net: permissions flaw in /proc/sys/net
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4270
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 987055 1027755 1027757
Blocks: 1027758
TreeView+ depends on / blocked
 
Reported: 2013-11-07 11:28 UTC by Petr Matousek
Modified: 2021-02-17 07:12 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-28 18:33:07 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0100 0 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2014-01-28 22:38:58 UTC

Description Petr Matousek 2013-11-07 11:28:48 UTC
A flaw was found in the way net_ctl_permissions() function in the Linux kernel checked permissions.

As a result, an unprivileged local user could potentially use this flaw to access files in /proc/sys/net in a way that he would otherwise be unable to.

Introduced by:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=cff109768b2d9c03095848f4cd4b0754117262aa

Fixed by:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=2433c8f094a008895e66f25bd1773cdb01c91d01

Acknowledgements:

This issue was discovered by Miroslav Vadkerti of Red Hat.

Comment 2 Petr Matousek 2013-11-07 11:34:48 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 3 errata-xmlrpc 2014-01-28 17:40:29 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0100 https://rhn.redhat.com/errata/RHSA-2014-0100.html


Note You need to log in before you can comment on or make changes to this bug.